# Interface methods for submodule: Rigid3DTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MatrixOffsetTransformBaseProxy as _MatrixOffsetTransformBaseProxy


# Interface methods for class: Rigid3DTransform
class Rigid3DTransformProxy(_MatrixOffsetTransformBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	@overload
	def SetMatrix(self, matrix) -> None:
		""""""
		...

	@overload
	def SetMatrix(self, matrix, tolerance: float) -> None:
		""""""
		...

	def Translate(self, offset: Sequence[float], pre: bool = False) -> None:
		""""""
		...

	def MatrixIsOrthogonal(self, matrix, tolerance: float = ...) -> bool:
		""""""
		...

